diff --git a/localedata/charmaps/UTF-8 b/localedata/charmaps/UTF-8
index f9fad11..55e5548 100644
--- a/localedata/charmaps/UTF-8
+++ b/localedata/charmaps/UTF-8
@@ -11578,109 +11884,109 @@ CHARMAP
 <U33FD>     /xe3/x8f/xbd IDEOGRAPHIC TELEGRAPH SYMBOL FOR DAY THIRTY
 <U33FE>     /xe3/x8f/xbe IDEOGRAPHIC TELEGRAPH SYMBOL FOR DAY THIRTY-ONE
 <U33FF>     /xe3/x8f/xbf SQUARE GAL
-<U3400>..<U343F> /xe3/x90/x80 <CJK>
-<U3440>..<U347F> /xe3/x91/x80 <CJK>
-<U3480>..<U34BF> /xe3/x92/x80 <CJK>
-<U34C0>..<U34FF> /xe3/x93/x80 <CJK>
-<U3500>..<U353F> /xe3/x94/x80 <CJK>
-<U3540>..<U357F> /xe3/x95/x80 <CJK>
-<U3580>..<U35BF> /xe3/x96/x80 <CJK>
-<U35C0>..<U35FF> /xe3/x97/x80 <CJK>
-<U3600>..<U363F> /xe3/x98/x80 <CJK>
-<U3640>..<U367F> /xe3/x99/x80 <CJK>
-<U3680>..<U36BF> /xe3/x9a/x80 <CJK>
-<U36C0>..<U36FF> /xe3/x9b/x80 <CJK>
-<U3700>..<U373F> /xe3/x9c/x80 <CJK>
-<U3740>..<U377F> /xe3/x9d/x80 <CJK>
-<U3780>..<U37BF> /xe3/x9e/x80 <CJK>
-<U37C0>..<U37FF> /xe3/x9f/x80 <CJK>
-<U3800>..<U383F> /xe3/xa0/x80 <CJK>
-<U3840>..<U387F> /xe3/xa1/x80 <CJK>
-<U3880>..<U38BF> /xe3/xa2/x80 <CJK>
-<U38C0>..<U38FF> /xe3/xa3/x80 <CJK>
-<U3900>..<U393F> /xe3/xa4/x80 <CJK>
-<U3940>..<U397F> /xe3/xa5/x80 <CJK>
-<U3980>..<U39BF> /xe3/xa6/x80 <CJK>
-<U39C0>..<U39FF> /xe3/xa7/x80 <CJK>
-<U3A00>..<U3A3F> /xe3/xa8/x80 <CJK>
-<U3A40>..<U3A7F> /xe3/xa9/x80 <CJK>
-<U3A80>..<U3ABF> /xe3/xaa/x80 <CJK>
-<U3AC0>..<U3AFF> /xe3/xab/x80 <CJK>
-<U3B00>..<U3B3F> /xe3/xac/x80 <CJK>
-<U3B40>..<U3B7F> /xe3/xad/x80 <CJK>
-<U3B80>..<U3BBF> /xe3/xae/x80 <CJK>
-<U3BC0>..<U3BFF> /xe3/xaf/x80 <CJK>
-<U3C00>..<U3C3F> /xe3/xb0/x80 <CJK>
-<U3C40>..<U3C7F> /xe3/xb1/x80 <CJK>
-<U3C80>..<U3CBF> /xe3/xb2/x80 <CJK>
-<U3CC0>..<U3CFF> /xe3/xb3/x80 <CJK>
-<U3D00>..<U3D3F> /xe3/xb4/x80 <CJK>
-<U3D40>..<U3D7F> /xe3/xb5/x80 <CJK>
-<U3D80>..<U3DBF> /xe3/xb6/x80 <CJK>
-<U3DC0>..<U3DFF> /xe3/xb7/x80 <CJK>
-<U3E00>..<U3E3F> /xe3/xb8/x80 <CJK>
-<U3E40>..<U3E7F> /xe3/xb9/x80 <CJK>
-<U3E80>..<U3EBF> /xe3/xba/x80 <CJK>
-<U3EC0>..<U3EFF> /xe3/xbb/x80 <CJK>
-<U3F00>..<U3F3F> /xe3/xbc/x80 <CJK>
-<U3F40>..<U3F7F> /xe3/xbd/x80 <CJK>
-<U3F80>..<U3FBF> /xe3/xbe/x80 <CJK>
-<U3FC0>..<U3FFF> /xe3/xbf/x80 <CJK>
-<U4000>..<U403F> /xe4/x80/x80 <CJK>
-<U4040>..<U407F> /xe4/x81/x80 <CJK>
-<U4080>..<U40BF> /xe4/x82/x80 <CJK>
-<U40C0>..<U40FF> /xe4/x83/x80 <CJK>
-<U4100>..<U413F> /xe4/x84/x80 <CJK>
-<U4140>..<U417F> /xe4/x85/x80 <CJK>
-<U4180>..<U41BF> /xe4/x86/x80 <CJK>
-<U41C0>..<U41FF> /xe4/x87/x80 <CJK>
-<U4200>..<U423F> /xe4/x88/x80 <CJK>
-<U4240>..<U427F> /xe4/x89/x80 <CJK>
-<U4280>..<U42BF> /xe4/x8a/x80 <CJK>
-<U42C0>..<U42FF> /xe4/x8b/x80 <CJK>
-<U4300>..<U433F> /xe4/x8c/x80 <CJK>
-<U4340>..<U437F> /xe4/x8d/x80 <CJK>
-<U4380>..<U43BF> /xe4/x8e/x80 <CJK>
-<U43C0>..<U43FF> /xe4/x8f/x80 <CJK>
-<U4400>..<U443F> /xe4/x90/x80 <CJK>
-<U4440>..<U447F> /xe4/x91/x80 <CJK>
-<U4480>..<U44BF> /xe4/x92/x80 <CJK>
-<U44C0>..<U44FF> /xe4/x93/x80 <CJK>
-<U4500>..<U453F> /xe4/x94/x80 <CJK>
-<U4540>..<U457F> /xe4/x95/x80 <CJK>
-<U4580>..<U45BF> /xe4/x96/x80 <CJK>
-<U45C0>..<U45FF> /xe4/x97/x80 <CJK>
-<U4600>..<U463F> /xe4/x98/x80 <CJK>
-<U4640>..<U467F> /xe4/x99/x80 <CJK>
-<U4680>..<U46BF> /xe4/x9a/x80 <CJK>
-<U46C0>..<U46FF> /xe4/x9b/x80 <CJK>
-<U4700>..<U473F> /xe4/x9c/x80 <CJK>
-<U4740>..<U477F> /xe4/x9d/x80 <CJK>
-<U4780>..<U47BF> /xe4/x9e/x80 <CJK>
-<U47C0>..<U47FF> /xe4/x9f/x80 <CJK>
-<U4800>..<U483F> /xe4/xa0/x80 <CJK>
-<U4840>..<U487F> /xe4/xa1/x80 <CJK>
-<U4880>..<U48BF> /xe4/xa2/x80 <CJK>
-<U48C0>..<U48FF> /xe4/xa3/x80 <CJK>
-<U4900>..<U493F> /xe4/xa4/x80 <CJK>
-<U4940>..<U497F> /xe4/xa5/x80 <CJK>
-<U4980>..<U49BF> /xe4/xa6/x80 <CJK>
-<U49C0>..<U49FF> /xe4/xa7/x80 <CJK>
-<U4A00>..<U4A3F> /xe4/xa8/x80 <CJK>
-<U4A40>..<U4A7F> /xe4/xa9/x80 <CJK>
-<U4A80>..<U4ABF> /xe4/xaa/x80 <CJK>
-<U4AC0>..<U4AFF> /xe4/xab/x80 <CJK>
-<U4B00>..<U4B3F> /xe4/xac/x80 <CJK>
-<U4B40>..<U4B7F> /xe4/xad/x80 <CJK>
-<U4B80>..<U4BBF> /xe4/xae/x80 <CJK>
-<U4BC0>..<U4BFF> /xe4/xaf/x80 <CJK>
-<U4C00>..<U4C3F> /xe4/xb0/x80 <CJK>
-<U4C40>..<U4C7F> /xe4/xb1/x80 <CJK>
-<U4C80>..<U4CBF> /xe4/xb2/x80 <CJK>
-<U4CC0>..<U4CFF> /xe4/xb3/x80 <CJK>
-<U4D00>..<U4D3F> /xe4/xb4/x80 <CJK>
-<U4D40>..<U4D7F> /xe4/xb5/x80 <CJK>
-<U4D80>..<U4DB5> /xe4/xb6/x80 <CJK>
+<U3400>..<U343F>     /xe3/x90/x80 <CJK Ideograph Extension A>
+<U3440>..<U347F>     /xe3/x91/x80 <CJK Ideograph Extension A>
+<U3480>..<U34BF>     /xe3/x92/x80 <CJK Ideograph Extension A>
+<U34C0>..<U34FF>     /xe3/x93/x80 <CJK Ideograph Extension A>
+<U3500>..<U353F>     /xe3/x94/x80 <CJK Ideograph Extension A>
+<U3540>..<U357F>     /xe3/x95/x80 <CJK Ideograph Extension A>
+<U3580>..<U35BF>     /xe3/x96/x80 <CJK Ideograph Extension A>
+<U35C0>..<U35FF>     /xe3/x97/x80 <CJK Ideograph Extension A>
+<U3600>..<U363F>     /xe3/x98/x80 <CJK Ideograph Extension A>
+<U3640>..<U367F>     /xe3/x99/x80 <CJK Ideograph Extension A>
+<U3680>..<U36BF>     /xe3/x9a/x80 <CJK Ideograph Extension A>
+<U36C0>..<U36FF>     /xe3/x9b/x80 <CJK Ideograph Extension A>
+<U3700>..<U373F>     /xe3/x9c/x80 <CJK Ideograph Extension A>
+<U3740>..<U377F>     /xe3/x9d/x80 <CJK Ideograph Extension A>
+<U3780>..<U37BF>     /xe3/x9e/x80 <CJK Ideograph Extension A>
+<U37C0>..<U37FF>     /xe3/x9f/x80 <CJK Ideograph Extension A>
+<U3800>..<U383F>     /xe3/xa0/x80 <CJK Ideograph Extension A>
+<U3840>..<U387F>     /xe3/xa1/x80 <CJK Ideograph Extension A>
+<U3880>..<U38BF>     /xe3/xa2/x80 <CJK Ideograph Extension A>
+<U38C0>..<U38FF>     /xe3/xa3/x80 <CJK Ideograph Extension A>
+<U3900>..<U393F>     /xe3/xa4/x80 <CJK Ideograph Extension A>
+<U3940>..<U397F>     /xe3/xa5/x80 <CJK Ideograph Extension A>
+<U3980>..<U39BF>     /xe3/xa6/x80 <CJK Ideograph Extension A>
+<U39C0>..<U39FF>     /xe3/xa7/x80 <CJK Ideograph Extension A>
+<U3A00>..<U3A3F>     /xe3/xa8/x80 <CJK Ideograph Extension A>
+<U3A40>..<U3A7F>     /xe3/xa9/x80 <CJK Ideograph Extension A>
+<U3A80>..<U3ABF>     /xe3/xaa/x80 <CJK Ideograph Extension A>
+<U3AC0>..<U3AFF>     /xe3/xab/x80 <CJK Ideograph Extension A>
+<U3B00>..<U3B3F>     /xe3/xac/x80 <CJK Ideograph Extension A>
+<U3B40>..<U3B7F>     /xe3/xad/x80 <CJK Ideograph Extension A>
+<U3B80>..<U3BBF>     /xe3/xae/x80 <CJK Ideograph Extension A>
+<U3BC0>..<U3BFF>     /xe3/xaf/x80 <CJK Ideograph Extension A>
+<U3C00>..<U3C3F>     /xe3/xb0/x80 <CJK Ideograph Extension A>
+<U3C40>..<U3C7F>     /xe3/xb1/x80 <CJK Ideograph Extension A>
+<U3C80>..<U3CBF>     /xe3/xb2/x80 <CJK Ideograph Extension A>
+<U3CC0>..<U3CFF>     /xe3/xb3/x80 <CJK Ideograph Extension A>
+<U3D00>..<U3D3F>     /xe3/xb4/x80 <CJK Ideograph Extension A>
+<U3D40>..<U3D7F>     /xe3/xb5/x80 <CJK Ideograph Extension A>
+<U3D80>..<U3DBF>     /xe3/xb6/x80 <CJK Ideograph Extension A>
+<U3DC0>..<U3DFF>     /xe3/xb7/x80 <CJK Ideograph Extension A>
+<U3E00>..<U3E3F>     /xe3/xb8/x80 <CJK Ideograph Extension A>
+<U3E40>..<U3E7F>     /xe3/xb9/x80 <CJK Ideograph Extension A>
+<U3E80>..<U3EBF>     /xe3/xba/x80 <CJK Ideograph Extension A>
+<U3EC0>..<U3EFF>     /xe3/xbb/x80 <CJK Ideograph Extension A>
+<U3F00>..<U3F3F>     /xe3/xbc/x80 <CJK Ideograph Extension A>
+<U3F40>..<U3F7F>     /xe3/xbd/x80 <CJK Ideograph Extension A>
+<U3F80>..<U3FBF>     /xe3/xbe/x80 <CJK Ideograph Extension A>
+<U3FC0>..<U3FFF>     /xe3/xbf/x80 <CJK Ideograph Extension A>
+<U4000>..<U403F>     /xe4/x80/x80 <CJK Ideograph Extension A>
+<U4040>..<U407F>     /xe4/x81/x80 <CJK Ideograph Extension A>
+<U4080>..<U40BF>     /xe4/x82/x80 <CJK Ideograph Extension A>
+<U40C0>..<U40FF>     /xe4/x83/x80 <CJK Ideograph Extension A>
+<U4100>..<U413F>     /xe4/x84/x80 <CJK Ideograph Extension A>
+<U4140>..<U417F>     /xe4/x85/x80 <CJK Ideograph Extension A>
+<U4180>..<U41BF>     /xe4/x86/x80 <CJK Ideograph Extension A>
+<U41C0>..<U41FF>     /xe4/x87/x80 <CJK Ideograph Extension A>
+<U4200>..<U423F>     /xe4/x88/x80 <CJK Ideograph Extension A>
+<U4240>..<U427F>     /xe4/x89/x80 <CJK Ideograph Extension A>
+<U4280>..<U42BF>     /xe4/x8a/x80 <CJK Ideograph Extension A>
+<U42C0>..<U42FF>     /xe4/x8b/x80 <CJK Ideograph Extension A>
+<U4300>..<U433F>     /xe4/x8c/x80 <CJK Ideograph Extension A>
+<U4340>..<U437F>     /xe4/x8d/x80 <CJK Ideograph Extension A>
+<U4380>..<U43BF>     /xe4/x8e/x80 <CJK Ideograph Extension A>
+<U43C0>..<U43FF>     /xe4/x8f/x80 <CJK Ideograph Extension A>
+<U4400>..<U443F>     /xe4/x90/x80 <CJK Ideograph Extension A>
+<U4440>..<U447F>     /xe4/x91/x80 <CJK Ideograph Extension A>
+<U4480>..<U44BF>     /xe4/x92/x80 <CJK Ideograph Extension A>
+<U44C0>..<U44FF>     /xe4/x93/x80 <CJK Ideograph Extension A>
+<U4500>..<U453F>     /xe4/x94/x80 <CJK Ideograph Extension A>
+<U4540>..<U457F>     /xe4/x95/x80 <CJK Ideograph Extension A>
+<U4580>..<U45BF>     /xe4/x96/x80 <CJK Ideograph Extension A>
+<U45C0>..<U45FF>     /xe4/x97/x80 <CJK Ideograph Extension A>
+<U4600>..<U463F>     /xe4/x98/x80 <CJK Ideograph Extension A>
+<U4640>..<U467F>     /xe4/x99/x80 <CJK Ideograph Extension A>
+<U4680>..<U46BF>     /xe4/x9a/x80 <CJK Ideograph Extension A>
+<U46C0>..<U46FF>     /xe4/x9b/x80 <CJK Ideograph Extension A>
+<U4700>..<U473F>     /xe4/x9c/x80 <CJK Ideograph Extension A>
+<U4740>..<U477F>     /xe4/x9d/x80 <CJK Ideograph Extension A>
+<U4780>..<U47BF>     /xe4/x9e/x80 <CJK Ideograph Extension A>
+<U47C0>..<U47FF>     /xe4/x9f/x80 <CJK Ideograph Extension A>
+<U4800>..<U483F>     /xe4/xa0/x80 <CJK Ideograph Extension A>
+<U4840>..<U487F>     /xe4/xa1/x80 <CJK Ideograph Extension A>
+<U4880>..<U48BF>     /xe4/xa2/x80 <CJK Ideograph Extension A>
+<U48C0>..<U48FF>     /xe4/xa3/x80 <CJK Ideograph Extension A>
+<U4900>..<U493F>     /xe4/xa4/x80 <CJK Ideograph Extension A>
+<U4940>..<U497F>     /xe4/xa5/x80 <CJK Ideograph Extension A>
+<U4980>..<U49BF>     /xe4/xa6/x80 <CJK Ideograph Extension A>
+<U49C0>..<U49FF>     /xe4/xa7/x80 <CJK Ideograph Extension A>
+<U4A00>..<U4A3F>     /xe4/xa8/x80 <CJK Ideograph Extension A>
+<U4A40>..<U4A7F>     /xe4/xa9/x80 <CJK Ideograph Extension A>
+<U4A80>..<U4ABF>     /xe4/xaa/x80 <CJK Ideograph Extension A>
+<U4AC0>..<U4AFF>     /xe4/xab/x80 <CJK Ideograph Extension A>
+<U4B00>..<U4B3F>     /xe4/xac/x80 <CJK Ideograph Extension A>
+<U4B40>..<U4B7F>     /xe4/xad/x80 <CJK Ideograph Extension A>
+<U4B80>..<U4BBF>     /xe4/xae/x80 <CJK Ideograph Extension A>
+<U4BC0>..<U4BFF>     /xe4/xaf/x80 <CJK Ideograph Extension A>
+<U4C00>..<U4C3F>     /xe4/xb0/x80 <CJK Ideograph Extension A>
+<U4C40>..<U4C7F>     /xe4/xb1/x80 <CJK Ideograph Extension A>
+<U4C80>..<U4CBF>     /xe4/xb2/x80 <CJK Ideograph Extension A>
+<U4CC0>..<U4CFF>     /xe4/xb3/x80 <CJK Ideograph Extension A>
+<U4D00>..<U4D3F>     /xe4/xb4/x80 <CJK Ideograph Extension A>
+<U4D40>..<U4D7F>     /xe4/xb5/x80 <CJK Ideograph Extension A>
+<U4D80>..<U4DB5>     /xe4/xb6/x80 <CJK Ideograph Extension A>
 <U4DC0>     /xe4/xb7/x80 HEXAGRAM FOR THE CREATIVE HEAVEN
 <U4DC1>     /xe4/xb7/x81 HEXAGRAM FOR THE RECEPTIVE EARTH
 <U4DC2>     /xe4/xb7/x82 HEXAGRAM FOR DIFFICULTY AT THE BEGINNING
